Bug 440415 - RFE: ctrl-alt-arrowkey keymappings to switch virtual desktops
RFE: ctrl-alt-arrowkey keymappings to switch virtual desktops
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 09:33 EDT by Rex Dieter
Modified: 2015-07-13 13:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 13:14:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-04-03 09:33:07 EDT
[08:28] <zcat> rdieter, any chance to get ctrl-alt-arrowkey keymappings by
default in KDE? first thing i have to change. :)
[08:28] <thomasj> :) thx
[08:29] <rdieter> zcat: keymappings to do what?  shrug, sure, bz + patches
welcome. :)
[08:30] <zcat> rdieter, changing virtual desktops. left/right, up/down. it's
default in gnome and xfce.
[08:30] <rdieter> zcat: neat, sure, sounds like a good idea.
Comment 1 Jason Farrell 2008-04-03 09:48:12 EDT
/usr/share/kde-settings/kde-profile/default/share/config/kdeglobals

would simply need a section added to the global defaults, minimally populated with:

[Global Shortcuts]
Switch One Desktop Down=Alt+Ctrl+Down
Switch One Desktop Up=Alt+Ctrl+Up
Switch One Desktop to the Left=Alt+Ctrl+Left
Switch One Desktop to the Right=Alt+Ctrl+Right

Thanks Rex,
Jason "zcat" Farrell
Comment 2 Jason Farrell 2008-04-03 10:13:45 EDT
Actually, it might have to have the following form (but I'm not sure):

[Global Shortcuts]
Switch One Desktop Down=default(Alt+Ctrl+Down)
Switch One Desktop Up=default(Alt+Ctrl+Up)
Switch One Desktop to the Left=default(Alt+Ctrl+Left)
Switch One Desktop to the Right=default(Alt+Ctrl+Right)
Comment 3 Rex Dieter 2008-04-18 12:35:10 EDT
Hrm, turns out these shortcuts conflict with the default ones already assigned
to Juk (Skip forward/back in playlist), not that I have any problem overriding
that... :)
Comment 4 Rex Dieter 2008-04-18 12:59:25 EDT
fixed in kde-settings-4.0-21
Comment 5 Rex Dieter 2008-04-18 13:14:53 EDT
requested tagging for f9-final
Comment 6 Jason Farrell 2008-08-01 12:55:16 EDT
went away in kde4.1 settings
Comment 7 Rex Dieter 2008-08-01 13:31:36 EDT
confirmed (crap), regression.
Comment 8 Rex Dieter 2008-08-01 14:14:01 EDT
OK, looks closer, and hacking in a particular shortcut or 2 doesn't seem to work
(well, at all?) anymore.

Perhaps we could consider creating a custom fedora.kksrc keyboard shortcut
theme, and then default to that.
Comment 9 Rex Dieter 2009-12-10 12:02:48 EST
Pinged upstream... looks like this should work (better) with kde-4.4.
Comment 10 Rex Dieter 2010-02-03 14:54:01 EST
OK, good and bad news.

Good news is that we can set this.

Bad news is that CNTL-ALT arrowkey mappings are already used by klipper, well, the cntl-alt-(up|down) anyway.
Comment 11 Rex Dieter 2010-02-03 14:59:11 EST
nix the good news, 
/usr/share/kde-settings/kde-profile/default/share/config/kglobalshortcutsrc
stuff seems to get ignored, and new users seem to get some other sort of default kglobalshortcutsrc created (that doesn't include the stuff from kde-settings).

More poking is needed.
Comment 12 Fedora Update System 2010-02-13 20:04:06 EST
akonadi-1.3.1-2.fc12,arora-0.10.2-3.fc12,avogadro-1.0.0-3.fc12,compiz-0.8.2-24.fc12,digikam-1.1.0-2.fc12,kbluetooth-0.4.1-1.fc12,kcoloredit-4.4.0-2.fc12,kdeaccessibility-4.4.0-1.fc12,kdeadmin-4.4.0-2.fc12,kdeartwork-4.4.0-1.fc12,kdebase-4.4.0-3.fc12,kdebase-runtime-4.4.0-3.fc12,kdebase-workspace-4.4.0-5.fc12,kdebindings-4.4.0-1.fc12,kdeedu-4.4.0-1.fc12,kdegames-4.4.0-2.fc12,kdegraphics-4.4.0-1.fc12,kdelibs-4.4.0-6.fc12,kdemultimedia-4.4.0-1.fc12,kdenetwork-4.4.0-2.fc12,kdepim-4.4.0-4.fc12,kdepimlibs-4.4.0-2.fc12,kdepim-runtime-4.4.0-2.fc12,kdeplasma-addons-4.4.0-1.fc12,kde-l10n-4.4.0-1.fc12,kde-plasma-networkmanagement-0.9-0.11.20100210.fc12,kde-plasma-smooth-tasks-0.0.1-0.1.wip20091206.fc12.1,kde-plasma-stasks-0.5.1-7.fc12,kde-plasma-yawp-0.3.2-2.fc12,kdesdk-4.4.0-1.fc12,kde-settings-4.3-17,kdetoys-4.4.0-1.fc12,kdeutils-4.4.0-1.fc12,kgrab-0.1.1-22.fc12,kiconedit-4.4.0-1.fc12,kio_gopher-0.1.3-3.fc12,kipi-plugins-1.1.0-1.fc12.2,konq-plugins-4.4.0-2.fc12,kopete-cryptography-1.3.0-16.fc12,kphotoalbum-4.1.1-5.fc12,kpilot-5.3.0-4.fc12,oxygen-icon-theme-4.4.0-2.fc12,polkit-qt-0.95.1-3.fc12,PyKDE-3.16.6-3.fc12,PyQt-3.18.1-6.fc12,PyQt4-4.7-1.fc12,qedje-0.4.0-6.fc12,qgis-1.0.2-6.fc12,qscintilla-2.4.2-1.fc12,qt-4.6.1-3.fc12,qt-creator-1.3.1-2.fc12,qtscriptgenerator-0.1.0-10.fc12,qzion-0.4.0-7.fc12,scidavis-0.2.3-13.fc12,sip-4.10-1.fc12,skanlite-0.4-1.fc12,soprano-2.4.0.1-1.fc12,strigi-0.7.2-2.fc12,virtuoso-opensource-6.1.0-2.fc12,webkitkde-0.0.5-0.1.svn1088283.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/akonadi-1.3.1-2.fc12,arora-0.10.2-3.fc12,avogadro-1.0.0-3.fc12,compiz-0.8.2-24.fc12,digikam-1.1.0-2.fc12,kbluetooth-0.4.1-1.fc12,kcoloredit-4.4.0-2.fc12,kdeaccessibility-4.4.0-1.fc12,kdeadmin-4.4.0-2.fc12,kdeartwork-4.4.0-1.fc12,kdebase-4.4.0-3.fc12,kdebase-runtime-4.4.0-3.fc12,kdebase-workspace-4.4.0-5.fc12,kdebindings-4.4.0-1.fc12,kdeedu-4.4.0-1.fc12,kdegames-4.4.0-2.fc12,kdegraphics-4.4.0-1.fc12,kdelibs-4.4.0-6.fc12,kdemultimedia-4.4.0-1.fc12,kdenetwork-4.4.0-2.fc12,kdepim-4.4.0-4.fc12,kdepimlibs-4.4.0-2.fc12,kdepim-runtime-4.4.0-2.fc12,kdeplasma-addons-4.4.0-1.fc12,kde-l10n-4.4.0-1.fc12,kde-plasma-networkmanagement-0.9-0.11.20100210.fc12,kde-plasma-smooth-tasks-0.0.1-0.1.wip20091206.fc12.1,kde-plasma-stasks-0.5.1-7.fc12,kde-plasma-yawp-0.3.2-2.fc12,kdesdk-4.4.0-1.fc12,kde-settings-4.3-17,kdetoys-4.4.0-1.fc12,kdeutils-4.4.0-1.fc12,kgrab-0.1.1-22.fc12,kiconedit-4.4.0-1.fc12,kio_gopher-0.1.3-3.fc12,kipi-plugins-1.1.0-1.fc12.2,konq-plugins-4.4.0-2.fc12,kopete-cryptography-1.3.0-16.fc12,kphotoalbum-4.1.1-5.fc12,kpilot-5.3.0-4.fc12,oxygen-icon-theme-4.4.0-2.fc12,polkit-qt-0.95.1-3.fc12,PyKDE-3.16.6-3.fc12,PyQt-3.18.1-6.fc12,PyQt4-4.7-1.fc12,qedje-0.4.0-6.fc12,qgis-1.0.2-6.fc12,qscintilla-2.4.2-1.fc12,qt-4.6.1-3.fc12,qt-creator-1.3.1-2.fc12,qtscriptgenerator-0.1.0-10.fc12,qzion-0.4.0-7.fc12,scidavis-0.2.3-13.fc12,sip-4.10-1.fc12,skanlite-0.4-1.fc12,soprano-2.4.0.1-1.fc12,strigi-0.7.2-2.fc12,virtuoso-opensource-6.1.0-2.fc12,webkitkde-0.0.5-0.1.svn1088283.fc12
Comment 13 Fedora Update System 2010-02-13 20:09:24 EST
akonadi-1.3.1-2.fc11,arora-0.10.2-3.fc11,compiz-0.7.8-20.fc11,digikam-1.1.0-2.fc11,kbluetooth-0.4.1-1.fc11,kcoloredit-4.4.0-2.fc11,kdeaccessibility-4.4.0-1.fc11,kdeadmin-4.4.0-2.fc11,kdeartwork-4.4.0-1.fc11,kdebase-4.4.0-3.fc11,kdebase-runtime-4.4.0-3.fc11,kdebase-workspace-4.4.0-5.fc11,kdebindings-4.4.0-1.fc11,kdeedu-4.4.0-1.fc11,kdegames-4.4.0-2.fc11,kdegraphics-4.4.0-1.fc11,kde-l10n-4.4.0-1.fc11,kdelibs-4.4.0-6.fc11,kdemultimedia-4.4.0-1.fc11,kdenetwork-4.4.0-2.fc11,kdepim-4.4.0-4.fc11,kdepimlibs-4.4.0-2.fc11,kdepim-runtime-4.4.0-2.fc11,kdeplasma-addons-4.4.0-1.fc11,kde-plasma-networkmanagement-0.9-0.11.20100210.fc11,kde-plasma-smooth-tasks-0.0.1-0.1.wip20091206.fc11.1,kde-plasma-stasks-0.5.1-7.fc11,kde-plasma-yawp-0.3.2-2.fc11,kdesdk-4.4.0-1.fc11,kde-settings-4.2-17,kdetoys-4.4.0-1.fc11,kdeutils-4.4.0-1.fc11,kgrab-0.1.1-22.fc11,kiconedit-4.4.0-1.fc11,kio_gopher-0.1.3-3.fc11,kipi-plugins-1.1.0-1.fc11.2,konq-plugins-4.4.0-2.fc11,kopete-cryptography-1.3.0-16.fc11,kphotoalbum-4.1.1-5.fc11,kpilot-5.3.0-4.fc11,oxygen-icon-theme-4.4.0-2.fc11,polkit-qt-0.9.3-2.fc11,PyKDE-3.16.6-3.fc11,PyQt-3.18.1-6.fc11,PyQt4-4.7-1.fc11,qedje-0.4.0-6.fc11,qgis-1.0.2-6.fc11,qscintilla-2.4.2-1.fc11,qt-4.6.1-3.fc11,qt-creator-1.3.1-2.fc11,qtscriptgenerator-0.1.0-10.fc11,qzion-0.4.0-7.fc11,scidavis-0.2.3-13.fc11,sip-4.10-1.fc11,skanlite-0.4-1.fc11,soprano-2.4.0.1-1.fc11,strigi-0.7.2-2.fc11,virtuoso-opensource-6.1.0-2.fc11,webkitkde-0.0.5-0.1.svn1088283.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/akonadi-1.3.1-2.fc11,arora-0.10.2-3.fc11,compiz-0.7.8-20.fc11,digikam-1.1.0-2.fc11,kbluetooth-0.4.1-1.fc11,kcoloredit-4.4.0-2.fc11,kdeaccessibility-4.4.0-1.fc11,kdeadmin-4.4.0-2.fc11,kdeartwork-4.4.0-1.fc11,kdebase-4.4.0-3.fc11,kdebase-runtime-4.4.0-3.fc11,kdebase-workspace-4.4.0-5.fc11,kdebindings-4.4.0-1.fc11,kdeedu-4.4.0-1.fc11,kdegames-4.4.0-2.fc11,kdegraphics-4.4.0-1.fc11,kde-l10n-4.4.0-1.fc11,kdelibs-4.4.0-6.fc11,kdemultimedia-4.4.0-1.fc11,kdenetwork-4.4.0-2.fc11,kdepim-4.4.0-4.fc11,kdepimlibs-4.4.0-2.fc11,kdepim-runtime-4.4.0-2.fc11,kdeplasma-addons-4.4.0-1.fc11,kde-plasma-networkmanagement-0.9-0.11.20100210.fc11,kde-plasma-smooth-tasks-0.0.1-0.1.wip20091206.fc11.1,kde-plasma-stasks-0.5.1-7.fc11,kde-plasma-yawp-0.3.2-2.fc11,kdesdk-4.4.0-1.fc11,kde-settings-4.2-17,kdetoys-4.4.0-1.fc11,kdeutils-4.4.0-1.fc11,kgrab-0.1.1-22.fc11,kiconedit-4.4.0-1.fc11,kio_gopher-0.1.3-3.fc11,kipi-plugins-1.1.0-1.fc11.2,konq-plugins-4.4.0-2.fc11,kopete-cryptography-1.3.0-16.fc11,kphotoalbum-4.1.1-5.fc11,kpilot-5.3.0-4.fc11,oxygen-icon-theme-4.4.0-2.fc11,polkit-qt-0.9.3-2.fc11,PyKDE-3.16.6-3.fc11,PyQt-3.18.1-6.fc11,PyQt4-4.7-1.fc11,qedje-0.4.0-6.fc11,qgis-1.0.2-6.fc11,qscintilla-2.4.2-1.fc11,qt-4.6.1-3.fc11,qt-creator-1.3.1-2.fc11,qtscriptgenerator-0.1.0-10.fc11,qzion-0.4.0-7.fc11,scidavis-0.2.3-13.fc11,sip-4.10-1.fc11,skanlite-0.4-1.fc11,soprano-2.4.0.1-1.fc11,strigi-0.7.2-2.fc11,virtuoso-opensource-6.1.0-2.fc11,webkitkde-0.0.5-0.1.svn1088283.fc11
Comment 14 Kevin Kofler 2010-02-13 20:46:58 EST
Actually the 4.4.0 update set doesn't have the fix yet (sorry).

Note You need to log in before you can comment on or make changes to this bug.